Package org.bukkit.block.data.type

# Interface Door

All Superinterfaces:
  `Bisected`, `BlockData`, `Cloneable`, `Directional`, `Openable`, `Powerable`

public interface Door extends Bisected, Directional, Openable, Powerable
'hinge' indicates which hinge this door is attached to and will rotate around when opened.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`Door.Hinge`
The hinge of a door.

## Nested classes/interfaces inherited from interface org.bukkit.block.data.Bisected

`Bisected.Half`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Door.Hinge`
`getHinge()`
Gets the value of the 'hinge' property.
`void`
`setHinge(@NotNull Door.Hinge hinge)`
Sets the value of the 'hinge' property.

### Methods inherited from interface org.bukkit.block.data.Bisected

`getHalf, setHalf`

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

### Methods inherited from interface org.bukkit.block.data.Openable

`isOpen, setOpen`

### Methods inherited from interface org.bukkit.block.data.Powerable

`isPowered, setPowered`

## Method Details

### getHinge

@NotNull @NotNull Door.Hinge getHinge()
Gets the value of the 'hinge' property.

Returns:
  the 'hinge' value

### setHinge

void setHinge(@NotNull @NotNull Door.Hinge hinge)
Sets the value of the 'hinge' property.

Parameters:
  `hinge` - the new 'hinge' value